//CALENDAR

var Schedule = {

  // JSON results for show dates and times will be stored here
  Times : null,
  Avail : null,

  // Get JSON file, call appropriate parsing function after
  Fetch : function (source, callback) {
      $.getJSON (source, function (data) {
          // Format dates if Ticketmaster calendar

          //console.log(data.contents);
          if (data.contents) {
              Schedule.Times = data.contents;
              for (key in Schedule.Times) {
                  var date = (Schedule.Times [key].event_SEO_name.slice (-10)).split ("-");
                  Schedule.Times [key].date = date [2] + '-' + date [0] + '-' + date [1];
              }
          } else {
              Schedule.Times = data;
          }
          callback ();
      });
  },

  // Initalize calendar in container, pass it parsed events list array with
  // ticket links
  Populate : function (container, eventslist) {

      // Figure out first and last performances
      var maxdate = new Date (Schedule.Times [Schedule.Times.length - 1].date);
      var mindate;
      if (new Date (Schedule.Times [0].date) >= new Date ()) {
          mindate = new Date (Schedule.Times [0].date);
      } else {
          mindate = new Date ();
      }
      var countdown = 0;
      for (var i = 0; i < eventslist.length; i++) {
        //console.log(eventslist[i]);
        var eventDate = "." + eventslist[i].start;
        var eventTime = eventslist[i].time.slice(0, -3);
        if(eventslist[i].time.charAt(0) > 3) {
          typeShow = "eve";
        } else {
          typeShow = "mat";
        }
        if($('.month').find(eventDate)[0]){
          countdown = countdown + 1;
        }
        var showAvail = eventslist[i].avail;
        //console.log(eventDate, eventTime, typeShow, showAvail);
        var title="";

        if(eventDate == ".2023-09-17"){
          showAvail += ' opening-night';
        }
        //console.log(eventDate);
        var eventInfo = "<a class='event num" + (i + 1) + " " + typeShow + " " + showAvail + " showlink' onclick=\"ga('send', 'event', 'site event', 'ticket click', 'Ticketmaster Calendar Event');\" target='blank' " + title + " /*data-showdate='" + eventslist[i].cleanDate + "' */data-showtime='" + eventTime + "' href='"+ eventslist[i].url +"'>" + eventTime + "</a>";
        $('.month').find(eventDate).append(eventInfo).addClass('showday');
      }
     $('#header h2 span')[0].innerHTML = countdown;

  },

  // TELECHARGE LINK FORMATTING
  // Call this for Telecharge calendars with direct performance ticket links
  Telecharge : function (container, telecode) {
      var eventslist = [];

      //Date fix
      var calDate = new Date();
      calDate.setDate(calDate.getDate() - 1);

      // Format events for calendar
      for (var i = 0; i < Schedule.Times.length; i++) {
          var dateformatted = (Schedule.Times [i].date).split ("-");
          dateformatted = dateformatted [1] + '/' + dateformatted [2] + '/' + dateformatted [0];
          if (calDate <= new Date (Schedule.Times [i].date)) {
              eventslist.push ({
                  start : Schedule.Times [i].date, url : Schedule.Times [i].url, time : Schedule.Times [i].showtime, type : "Telecharge"
              });
          }
      }
      Schedule.Populate (container, eventslist);
  },
};


$(document).ready(function(){
  var months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];

  // get today's date
  var d = new Date();
  var m = d.getMonth();
  var y = d.getFullYear();
  var ind = 1; // starting index number (for select operations)
  var firstMonth = 9; // if show has started this should be 0
  var numMonths = 3; // number of months to be generated
  //console.log(m);
  if(firstMonth - 1 > m){
    m = firstMonth - 1;
  }

  var calText = "";
  document.getElementById("cal").innerHTML = calText;

  for (var i = 0; i < numMonths; i++) {

    var numDays = daysInMonth(m+1,y);

    var first = new Date(y,m,1);

    var frontpad = first.getDay();
    var afterpad = (7 - ((frontpad + numDays) % 7)) % 7;

    calText = "<div class=\"month\">";

    calText += "<div class=\"hed\"><div class=\"cal-prev\"></div><h3>" + months[m] + " " + y + "</h3><div class=\"cal-next\"></div></div><div class=\"month-box\"><div class=\"day-hed\"><div class=\"hed-day\">SUN</div><div class=\"hed-day\">MON</div><div class=\"hed-day\">TUE</div><div class=\"hed-day\">WED</div><div class=\"hed-day\">THU</div><div class=\"hed-day\">FRI</div><div class=\"hed-day\">SAT</div></div>";

    for (var j = 1; j <= frontpad; j++) {
      calText += "<div class=\"day blank box-" + j +" \"></div>";
    }

    for (var j = 1; j <= numDays; j++) {
      if (m < 9) {
        if (j <= 9) {
          var thisDate = y + "-" +  "0" + (m+1) + "-0" + j;
        } else {
          var thisDate = y + "-" +  "0" + (m+1) + "-" + j;
        }
      } else {
        if (j <= 9) {
          var thisDate = y + "-" + (m+1) + "-0" + j;
        } else {
          var thisDate = y + "-" +  (m+1) + "-" + j;
        }
      }
      calText += "<div class=\"day active "+thisDate+"\" data-date=\""+thisDate+"\"><span class=\"num\">" + j + "</span></div>";
      ind++;
    }

    for (var j = 1; j <= afterpad; j++){
      calText += "<div class=\"day blank btm-box-" + j +" \"></div>";
    }

    calText += "</div>";
    document.getElementById("cal").innerHTML += calText;
    calText = "";

    m++;

    if (m==12) {
      m = 0;
      y++;
    }

  }

  // Month is 1-based
  function daysInMonth(month,year) {
    return new Date(year, month, 0).getDate();
  }

  /* --- CAL FUNCTIONS --*/
  var curMonth = 1; // first month that should appear when calendar loads (1 == first)
  var numViewable = 1; // number of months that should be viewable at one time

  for (i=curMonth;i<=(curMonth+numViewable-1);i++) {
    $(".month:nth-child("+i+")").addClass("active");
  }
  
  $(document).on("click","a.showlink.opening-night",function(e){
    // e.preventDefault();
  });

  $(".cal-next, .cal-prev").click(function(e){

    e.preventDefault();

    $(".month").removeClass("active");

    if( $(this).hasClass("cal-next") ){
      curMonth++;
    } else {
      curMonth--;
    }

    for (i=curMonth;i<=(curMonth+numViewable-1);i++) {
      $(".month:nth-child("+i+")").addClass("active");
    }

  });

  // fetch schedule to populate calendar with dates
  Schedule.Fetch("./_data/schedule.json?v=4", function(){
    Schedule.Telecharge("#calendar","Swing-State");
  });

});