<section id="privacy" class="container">
  <a class="back" href="./">&#8592; Back</a>
    <h1>Cookies</h1>

    <h2>Cookies and how they benefit you:</h2>
    <p>Our website uses cookies, as almost all websites do, to help provide you with the best experience we can. Cookies are small text files that are placed on your computer or mobile phone when you browse websites.</p>
    <p>To read our Privacy Policy please <a href="./gdpr">click here</a>.</p>
    <p><em>Swing State</em> uses cookies for three main purposes:</p>
    <ul>
    <li>To ensure the website works, in particular for online booking</li>
    <li>To monitor website performance and help us make improvements in the future</li>
    <li>To tailor our marketing, and use tools such as Google AdWords to communicate more effectively through web advertising.</li>
    </ul>

    <h2>Our cookies help us:</h2>
    <ul>
    <li>Make our website work as you’d expect</li>
    <li>Save you having to login every time you visit the site</li>
    <li>Remember your settings during and between visits</li>
    <li>Improve the speed/security of the site</li>
    <li>Allow you to share pages with social networks like Facebook</li>
    <li>Continuously improve our website for you</li>
    <li>Make our marketing more efficient (ultimately helping us to offer the service we do at the price we do)</li>
    </ul>

    <h2>We do not use cookies to:</h2>
    <ul>
    <li>Collect any sensitive information </li>
    <li>Pass personally identifiable data to third parties</li>
    <li>Pay sales commissions</li>
    </ul>

    <p>You can learn more about all the cookies we use below:</p>
    <table style="border:1px solid #fe2487;">
    	<tr>
    		<td><p><strong>Cookie</strong></p></td>
    		<td><p><strong>Purpose</strong></p></td>
    	</tr>
    	<tr>
    		<td><p>Google Analytics</p></td>
    		<td><p>This monitors how people use our site – for example the browser they use and the pages they visit. It’s used to assess our website’s performance and to help us plan improvements.</p></td>
    	</tr>
    	<tr>
    		<td><p>DoubleClick </p></td>
    		<td><p>You may notice that sometimes after visiting our site you see increased numbers of ads from us. This is because we pay for these ads, and the technology to do this is made possible by this cookie. We use these ads to encourage you to come back to our site. Don’t worry  - we are unable to proactively reach out to you as the whole process is entirely anonymised.</p>

    				<p>These help us understand how well our online ads are encouraging browsers to view more information about particular events on www.<?php echo $production_domain_name; ?>.com and when an ad is displayed on a third-party website, a Doubleclick cookie is placed on their machine, providing this is enabled by their browser settings.  If that browser then visits www.<?php echo $production_domain_name; ?>.com we can see that the ad has been effective.</p>
    			</td>
    	</tr>
    	<tr>
    		<td><p>Facebook / Instagram / Twitter / Snapchat</p></td>
    		<td><p>This communicates with Facebook / Instagram / Snapchat / Twitter activity on our website. In a similar way to DoubleClick it allows us to reduce our costs (and keep our prices low) by using digital ads to encourage you to visit us. Don’t worry - we are unable to proactively reach out to you as the whole process is entirely anonymised.</p></td>
    	</tr>
    </table>


    <h2>Granting us permission to use cookies</h2>
    <p>If the settings on your software that you are using to view this website (your browser) are adjusted to accept cookies we take this, and your continued use of our website, to mean that you are fine with this. Should you wish to remove or not use cookies from our site you can learn how to do this below; however doing so will likely mean that our site will not work as you would expect.</p>

    <h2>Our own cookies</h2>
    <p>We use cookies to make our website work including:</p>
    <ul>
    <li>Remembering your search settings</li>
    </ul>

    <h2>Third party functions</h2>
    <p>Our site, like most websites, includes functionality provided by third parties. A common example is an embedded YouTube video. Disabling these cookies will likely break the functions offered by these third parties.</p>

    <h2>Social website cookies</h2>
    <p>So you can easily “like” or share our content on the likes of Facebook and Twitter we have included sharing buttons on our site. </p>
    <p>The privacy implications of this will vary depending on the social network and will be dependent on the privacy settings you have chosen on these networks.</p>

    <h2>Anonymous visitor statistics cookies</h2>
    <p>We use cookies to compile visitor statistics such as how many people have visited our website, what type of technology they are using (e.g. Mac or Windows, which helps to identify when our site isn’t working as it should for particular technologies), how long they spend on the site, what page they look at etc. This helps us to continuously improve our website. These so called “analytics” programs also tell us if , on an anonymous basis, how people reached this site (e.g. from a search engine) and whether they have been here before; this helps us to put more money into developing our services for you instead of marketing spend.

    <h2>We use advertising cookies</h2>
    <p>Cookies are widely used in online advertising. Neither us, advertisers or our advertising partners can gain personally identifiable information from these cookies.
    You can opt-out of almost all advertising cookies although we would prefer that you didn’t, as ultimately advertising helps keep much of the internet free. It is also worth noting that opting out of advertising cookies will not mean you won’t see adverts, just simply that they won’t be tailored to you any longer.

    <h2>We use:</h2>
    <ul>
    	<li>DoubleClick – privacy policy owned by Google </li>
    <li>Remarketing cookies</li>
    </ul>

    <p>You may notice that sometimes after visiting a site you see increased numbers of adverts from the site you visited. This is because advertisers, including ourselves, pay for these adverts. The technology to do this is made possible by cookies and as such we may place a so called “remarketing cookie” during your visit. We use these adverts to offer special offers etc to encourage you to come back to our site. Don’t worry -  we are unable to proactively reach out to you as the whole process is entirely anonymised. You can opt out of these cookies at anytime as explained above.

    <h2>Managing cookies</h2>
    <p>Cookies cannot be used by themselves to identify you. You can easily control and disable cookies through your browser settings.
    Depending on the browser you are using, cookies can be managed according to the steps shown in the below table.
    Please be aware that by limiting or deleting cookies, your experience of our website might not be the best it could be. If you have any questions about cookies, please contact privacy@<?php echo $production_domain_name; ?>.com

    <h2>Turning cookies off</h2>
    <p>You can usually switch cookies off by adjusting your browser settings to stop it from accepting cookies. Doing so, however, will likely limit the functionality of this site -  and a large proportion of the world’s websites -  as cookies are a standard part of most modern websites.
    Most web browsers allow some control of most cookies through the browser settings. To find out more about cookies, including how to see what cookies have been set and how to manage and delete them, visit <a href="https://www.aboutcookies.org" target="_blank">www.aboutcookies.org</a> or <a href="https://www.allaboutcookies.org" target="_blank">www.allaboutcookies.org</a>. To opt out of being tracked by Google Analytics across all websites visit <a href="https://tools.google.com/dlpage/gaoptout" target="_blank">https://tools.google.com/dlpage/gaoptout</a>.</p>
    <p>It may be that your concerns around cookies relate to so called “spyware”. Rather than switching off cookies in your browser you may find that anti-spyware software achieves the same objective by automatically deleting cookies considered to be invasive. Learn more about managing cookies with anti-spyware software.</p>

</section>
